Campaign audience
List contact lists
Page through the contact lists in your workspace.
GET
/
v1
/
calls
/
contact-lists
List contact lists
curl --request GET \
--url https://api.persistence.dev/v1/calls/contact-lists \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.persistence.dev/v1/calls/contact-lists"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.persistence.dev/v1/calls/contact-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"column": "<string>",
"items": [
{
"createdAt": "<string>",
"id": "<string>",
"name": "<string>",
"status": "ready",
"totalEntries": 123,
"type": "contacts",
"updatedAt": "<string>",
"uploadDetails": {
"errorReportS3Key": "<string>",
"errorReportUrl": "<string>",
"errors": [
123
],
"id": "<string>",
"metadata": {
"duplicateRows": 123,
"importedRows": 123,
"invalidRows": 123,
"totalRows": 123,
"validRows": 123
},
"processedAt": "<string>",
"s3Key": "<string>",
"status": "uploaded",
"uploadedAt": "<string>",
"validatedAt": "<string>"
}
}
],
"order": "ASC",
"page": 123,
"perPage": 123,
"searchText": "<string>",
"totalCount": 123
},
"success": true
}{
"code": "<string>",
"error": "<string>"
}{
"code": "<string>",
"error": "<string>"
}{
"code": "<string>",
"error": "<string>"
}{
"code": "<string>",
"error": "<string>"
}Authorizations
API key issued for your workspace.
Query Parameters
Page number
Items per page
Contact list type
Available options:
contacts, dnd Contact list status
Search text
⌘I
List contact lists
